part of about;

class AboutPage extends StatelessWidget {
  const AboutPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('关于我们'),
      ),
      body: Column(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,

        // crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Column(
            children: [
              Container(
                margin: const EdgeInsets.only(top: 55),
                height: 60,
                width: 60,
                color: Colors.cyan,
                child: const CustomImage.asset(url: 'assets/images/banner.png'),
              ),
              Gaps.hGaps15,
              const Text('云教材',style: TextStyle(fontSize: 17,fontWeight: Fonts.medium,color: Colours.c3),),
              const Text('V1.0.1',style: TextStyle(fontSize: 13,color: Colours.c9)),
            ],
          ),
          SafeArea(
            child: Column(
              children: [
                Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    GestureDetector(
                      child: const Text('《用户协议》',textAlign: TextAlign.right,style: TextStyle(fontSize: 10,color: Color(0xFF2A82D9)),),
                      onTap: (){
                        context.pushNamed(Routes.terms);
                      },
                    ),
                    Gaps.vGaps15,
                    Container(width: 1,height: 10,color: const Color(0xFFC8C8C8),),
                    Gaps.vGaps15,
                    GestureDetector(
                      child: const Text('《隐私协议》',textAlign: TextAlign.left,style: TextStyle(fontSize: 10,color: Color(0xFF2A82D9))),
                      onTap:(){
                        context.pushNamed(Routes.terms);
                      } ,
                    )
                  ],
                ),
                Gaps.hGaps10,
                const Text('Copyright © 2017 Zijing Education. All rights reserved.\n清控紫荆（北京）教育科技股份有限公司京\nICP证150431号',style: TextStyle(color: Colours.c9,fontSize:9),textAlign: TextAlign.center,)

              ],
            ),
          )

        ],
      ),
    );
  }
}
